package com.dgtly.wxportal.exception;

import com.dgtly.common.exception.BusinessException;
import com.dgtly.wxportal.utils.ESign.ESignErrCode;
import com.dgtly.wxportal.utils.ESign.ESignUrl;
import com.dgtly.wxportal.utils.qywxutils.QyWxErrCode;

public class ESignException extends BusinessException{

    public ESignException(String code, String url,String message) {
        super("获取E签宝接口访问返回异常，请求地址为："+url+"异常代码errcode："+code+"---errmsg:"+message+"<=======>"+ESignErrCode.errMsg(code),new Throwable());
    }

    public ESignException(Integer code, String url,String message) {
        super("获取E签宝接口访问返回异常，请求地址为："+url+"异常代码errcode："+code+"---errmsg:"+message+"<=======>"+ESignErrCode.errMsg(code),new Throwable());
    }
}
